- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_client_pool_t

# mongoc_client_pool_push()

## Synopsis

    void
    mongoc_client_pool_push (mongoc_client_pool_t *pool, mongoc_client_t *client);

This function returns a mongoc_client_t back to the client pool.

## Parameters

- `pool`: A mongoc_client_pool_t.
- `client`: A mongoc_client_t.

## Thread Safety

This function is safe to call from multiple threads.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.